IPSW-KERNEL-IDA(1)

NAME
ipsw-kernel-ida - 🚧 Analyze kernelcache in IDA Pro

SYNOPSIS
ipsw kernel ida [KEXT] [flags]

DESCRIPTION
🚧 Analyze kernelcache in IDA Pro

OPTIONS
-a, --arch=""
    Which architecture to use for fat/universal MachO

-c, --delete-db[=false]
    Disassemble a new file (delete the old database)

--diaphora-db=""
    Path to Diaphora database

-k, --docker[=false]
    Run IDA Pro in a docker container

--docker-image="blacktop/idapro:8.2-pro"
    IDA Pro docker image

-g, --enable-gui[=false]
    Enable IDA Pro GUI (defaults to headless)

-e, --extra-args=[]
    IDA Pro CLI extra arguments

-h, --help[=false]
    help for ida

-p, --ida-path=""
    IDA Pro directory (darwin default: /Applications/IDA Pro */ida64.app/Contents/MacOS)

-l, --log-file=""
    IDA log file

-o, --output=""
    Output folder

-s, --script=""
    IDA Pro script to run

-r, --script-args=[]
    IDA Pro script arguments

-t, --temp-db[=false]
    Do not create a database file (requires --enable-gui)

OPTIONS INHERITED FROM PARENT COMMANDS
--color[=false]
    colorize output

--config=""
    config file (default is $HOME/.config/ipsw/config.yaml)

--no-color[=false]
    disable colorize output

-V, --verbose[=false]
    verbose output

SEE ALSO
ipsw-kernel(1)

HISTORY
18-Dec-2025 Auto generated by spf13/cobra